Bug 12756 - Apache segfaults when handling an <Action> redirect
Apache segfaults when handling an <Action> redirect
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-20 05:16 EDT by r.vanmeer
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-20 05:16:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description r.vanmeer 2000-06-20 05:16:55 EDT
I use an <Action> statement to redirect all my .html reequests to a single
script. When I request such a page, the httpd process that handles my
requests dies. This shows up in the logs with 

[notice] child pid 790 exit signal Segmentaion Fault (11)

The same work all right with a self-compiled apache on an identical
platform. The differences betwee the compiled version an the redhat are
that the compiled version has most of the modules already built-in and that
the redhat is compiled with a -D EAPI flag
Comment 1 Nalin Dahyabhai 2000-07-03 04:38:00 EDT
This appears to be fixed in the Raw Hide version, as adding this:

Action text/html /cgi-bin/htsearch

doesn't even make the server flinch.

Note You need to log in before you can comment on or make changes to this bug.